summaryrefslogtreecommitdiff
path: root/bin/get-package-updates
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-05-25 09:07:39 +0200
committerErich Eckner <git@eckner.net>2018-05-25 09:07:39 +0200
commit0be03e8056755deaaf1492fa1df38907eade690e (patch)
treeef9a485711a1b098c249c1494ffc3029cc8da728 /bin/get-package-updates
parentad863c02e7b0e7030a920a318fcb9a9963333eb3 (diff)
downloadbuilder-0be03e8056755deaaf1492fa1df38907eade690e.tar.xz
verbose_flock new: it calls flock and reports about blocking processes on error
Diffstat (limited to 'bin/get-package-updates')
-rwxr-xr-xbin/get-package-updates4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index aa53e4b..59ec019 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -200,13 +200,13 @@ fi
# Create a lock file for build list.
exec 9> "${build_list_lock_file}"
-if ! flock ${block_flag} 9; then
+if ! verbose_flock ${block_flag} 9; then
>&2 echo 'come back (shortly) later - I cannot lock build list.'
exit
fi
exec 8> "${sanity_check_lock_file}"
-if ! flock -s ${block_flag} 8; then
+if ! verbose_flock -s ${block_flag} 8; then
>&2 echo 'come back (shortly) later - sanity-check running.'
exit
fi